<?php

/************************************************************/
/* Recent Loot Block                                        */
/* Version 1.1                                              */
/*                                                          */
/* Created by Sedrikk and Shalinn                           */
/* Immix Morality Guild, WoW, Alliance, Skywall             */
/* Http://www.immixmorality.com                             */
/*                                                          */
/* (C) 2006                                                 */
/* All rights beyond the GPL are reserved                   */
/*                                                          */
/*                                                          */
/* You should only need to configre 2 variables             */
/*                                                          */
/************************************************************/

/*
Dragonfly modded by InterSlayer
http://www.sock-puppets.com

Updated by Robojerk
http://wowroster.net/Forums/viewforum/f=98.html

You must also have item_stats installed modded into Dragonfly
for this to work, as it uses the [item] bbcode. */

//  ***  Prevents some errors by checking to see if item_stats is installed.
	if (!defined('CPG_NUKE')) { exit; }
	$blk_basename = 'block-Recent_Items';
	$blk_filename = basename(__FILE__);
	$mod_basename = 'item_stats';
	
	
	$matches = array();
	if (preg_match("/^{$blk_basename}(?:_(\d+))?\.php$/", $blk_filename, $matches)) {
		$suffix = (empty($matches[1])) ? '' : "_{$matches[1]}";
		$mod_dirname = $mod_basename.$suffix;
	} else {
		$content = 'ERROR';
		return trigger_error("The block filename, <nobr>\"{$blk_filename}\"</nobr>, does not follow the expected instantation syntax of <nobr>\"{$blk_basename}[_<i><integer></i>].php\"</nobr>.", E_USER_WARNING);
	}

	// REQUIRED: $mod_dirname
	// REQUIRED: $suffix
	// *********************************************************************/


	if (empty($mod_dirname) || !file_exists(CORE_PATH."../modules/{$mod_dirname}")) {
		$content = 'ERROR';
		return trigger_error('The expected module directory'.((empty($mod_dirname)) ? '' : ", \"{$mod_dirname}\",").' does not exist.', E_USER_WARNING);
	}

	if (!is_active($mod_dirname)) {
		$content = 'ERROR';
		return trigger_error("The {$mod_dirname} module is inactive.", E_USER_WARNING);
	}
//  ***  End of error prevention.

//Remember to fill in $dbname and $dkploc

// This calls the eqdkp_itemstats.php so that the itemstats function will be loaded
//include('itemstats/eqdkp_itemstats.php');

// Set Global Variables
global $dbname, $db, $eqdkploot, $dkploc, $admin, $showwinner;

/* ************ MAKE CHANGES HERE *********************** */

/*This should be changed to reflect your own database name
  If Dragonfly & EQDKP are located on the same database it's okay to leave this blank */
$dbname = "";

/* Table prefix, edit this if your eqdkp prefix is not the standard. */
$tabprefix = "eqdkp";

/*Your DKP install location, note to include the trailing / example (/eqdkp) */
$dkploc = "";

/*What loot should show. 0=green and above(default), 1=blue and above, 2=epic and above */
$uberloot = 2;

/*Do you want to see who won the loot (1=yes 0=no)*/
$showwinner = 1;

/* The item and raid tables from eqdkp, you shouldnt need to change this unless you are using a different prefix */
$eqdkploot = $tabprefix."_items";
$eqdkpraids = $tabprefix."_raids";

/* ************ END OF CHANGES *********************** */

// This pulls the max date from the eqdkp database
$sql = "SELECT MAX(item_date) as item_date FROM ".$dbname.".".$eqdkploot."";

// Stores the result in a variable
$result = $db->sql_query($sql);

// Grabs the row(s) from the variable result. In this case it is only one row
$maxdate = $db->sql_fetchrow($result);

// Finds the start of the last raiding day
$startdate = (floor($maxdate[item_date]/86400))*86400;

// Create new sql statement for the item names
$sql = "SELECT item_name, ".$eqdkploot.".raid_id, item_buyer, raid_name FROM ".$dbname.".".$eqdkploot.", ".$dbname.".".$eqdkpraids." WHERE ".$dbname.".".$eqdkploot.".raid_id = ".$dbname.".".$eqdkpraids.".raid_id AND ".$dbname.".".$eqdkploot.".item_date >= ".$startdate."";

// Stores the result in a variable
$result = $db->sql_query($sql);

// Initialize the raid seperator
$currentraid = 0;

// Start the content layout in the block
$content .= "<table align=center border=0>\n";

$raidlink = $dkploc;
$buyerlink = $dkploc;

// Conditional loop to populate the block with the items
	while ($row = $db->sql_fetchrow($result))
	{
// initialize variables for output
	  $vitem = $row[item_name];
        $vbuyer = $row[item_buyer];
        $vraid = $row[raid_name];
        $vraidid = $row[raid_id];

        $content .= "<tr>\n";
	
// Print the Raid Name if new raid
        If ($currentraid <> $vraidid)
        	{
              $raidlink .= "viewraid.php?r=".$vraidid;
              $content .= "<td><b><a href=$raidlink>$vraid</a></b></td>\n</tr>\n<tr>\n";
              $currentraid = $vraidid;
        	}


//Check for Item Color and only displays based on variable above
            $item_stats = new ItemStats();
            $item_color = $item_stats->getItemColor($vitem);

            switch ($item_color) {
                case "greyname":
			$itemlevel=0;
			break;
                case "whitename":
			$itemlevel=0;
                  break;
                case "greenname":
			$itemlevel=1;
                  break;
                case "bluename":
			$itemlevel=2;
                  break;
                default:
			$itemlevel=3;
            }

		if ($itemlevel > $uberloot) {

// Passes the item name to the itemstats file for parsing and formatting
                    $content .= "<td>".itemstats_parse("[item]".$vitem."[/item]")."</td>\n";
// Displays the winner of the item
			if ($showwinner == 1) {

						$buyerlink .= "viewmember.php?name=".$vbuyer;
	                    $content .="</tr><tr><td>Won By: <b><a href=$buyerlink>$vbuyer</a></b></td>\n";

	                }
                    $content .= "</tr>\n";
		}
 	}

// Closes the content layout block

$content .= "</table>\n";

?>
